BlueJ with OS X

Discussion in 'Mac Apps and Mac App Store' started by jtalerico, Dec 6, 2005.

  1. jtalerico macrumors 6502

    Joined:
    Nov 23, 2005
    #1
    Hey i am trying to update my JVM from 1.4.2 to 1.5 in my BlueJ any ideas on how to do this??? Thanks!!
     
  2. crazzyeddie macrumors 68030

    crazzyeddie

    Joined:
    Dec 7, 2002
    Location:
    Florida, USA
  3. jtalerico thread starter macrumors 6502

    Joined:
    Nov 23, 2005
    #3
    I am trying to get it to use JVM 1.5 instead of 1.4.2
     
  4. bousozoku Moderator emeritus

    Joined:
    Jun 25, 2002
    Location:
    Gone but not forgotten.
    #4
    Go into Java preferences and change the JVM default to 1.5.x but whether BlueJ will actually use it, I don't know. It might only use 1.3.x.
     
  5. jtalerico thread starter macrumors 6502

    Joined:
    Nov 23, 2005
    #5
    Ive already done so, and BlueJ still uses 1.4.2 I need to find out how to set the Home for it.. I guess..
     
  6. bousozoku Moderator emeritus

    Joined:
    Jun 25, 2002
    Location:
    Gone but not forgotten.
    #6
    I've not seen any difference when I tried this with jGrasp either. I'm not sure it matters but I wanted to see if there was any enhancement from switching JVMs. Oh well.
     
  7. jtalerico thread starter macrumors 6502

    Joined:
    Nov 23, 2005
    #7
    Well the problem is Once i compile something with 1.4.2 it give a compile error, but with 1.5 it will not give me that error... Not sure why it is..
     
  8. jtalerico thread starter macrumors 6502

    Joined:
    Nov 23, 2005
  9. Dave the Great macrumors regular

    Joined:
    Jan 27, 2004
    #9
    Open up terminal and enter each line below.


    cd /System/Library/Frameworks/JavaVM.framework/Versions

    sudo rm CurrentJDK

    sudo ln -s 1.5 CurrentJDK
     
  10. jtalerico thread starter macrumors 6502

    Joined:
    Nov 23, 2005

Share This Page